#! /bin/csh -f

if ( $#argv != 6 &&  $#argv != 7 ) then
    echo "Usage : "$0" filename xmedian ymedian +sigma -sigma grow [ysigma_boxsize]"
    exit 1
endif

set infile=$1
set x=$2
set y=$3
set sigmap=$4
set sigman=$5
set grow=$6
if( $#argv == 7 ) then
 set XBOXSIZE=$7
endif

set CLCOM1=/tmp/rejbadpix3.cl.com1
set CLCOM2=/tmp/rejbadpix3.cl.com2

  
set TMPFRAME=rejbadpixframe.fits
\rm tmp.stat
cat <<EOF > $CLCOM1
imdel $TMPFRAME
median $infile $TMPFRAME $x $y
imarith $infile - $TMPFRAME $TMPFRAME
imstatrej $TMPFRAME 5 > tmp.stat

logout
EOF
cat $CLCOM1 | cl

if($#argv == 7 ) then
 fbadpix $TMPFRAME $TMPFRAME 5 $sigmap $sigman $XBOXSIZE
else
 fbadpix $TMPFRAME $TMPFRAME 5 $sigmap $sigman
endif

cat <<EOF > $CLCOM2
boxcar $TMPFRAME $TMPFRAME $grow $grow
imrepl $TMPFRAME 1 lower=0.00000000001
disp $infile 1 fi+
fixpix $infile $TMPFRAME
disp $infile 1 fi+
logout
EOF
cat $CLCOM2 | cl
